/** Woocommerce Account **/

form.woocommerce-EditAccountForm fieldset {
    margin-top: 70px !important;
}

form.woocommerce-EditAccountForm fieldset legend {
    font-size: 16px !important;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}

.woocommerce-page label.woocommerce-form__label-for-checkbox span::before {
    content: "";
    display: inline-block;
    height: 13px;
    width: 13px;
    border: 1px solid var(--wp--preset--color--black);
    background: var(--wp--preset--color--white);
    margin-right: 1rem;
}

.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
    width: 100%;
}

.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    width: 100%;
}

.woocommerce-page .col2-set .col-1 h2 {
    margin-top: 20px;
}

.woocommerce-page .col2-set .col-2 h2 {
   margin-top: 70px;
}


.woocommerce-account .woocommerce-MyAccount-content p {
    font-size: 14px;
}

.woocommerce-account .woocommerce-MyAccount-content p:first-of-type {
    font-size: 16px;
}

.woocommerce-MyAccount-content p a {
    text-decoration: underline;
}

.woocommerce-account .woocommerce-MyAccount-content h3 {
    font-size: 16px !important;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
    margin: 1.5rem 0;
}

.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title a.edit {
    border: 1px solid black;
    color: black;
    text-transform: uppercase;
    padding: 3px 15px;
    font-size: 12px;
}

.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title a.edit:hover,
.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title a.edit:focus {
    background-color: black;
    color: white;
    outline: none;
    box-shadow: none;
}

.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title address {
    font-size: 14px !important;
}

.woocommerce-account .woocommerce-MyAccount-content .woocommerce-Addresses {
    margin-top: 45px;
}

.woocommerce-account.logged-in .structure-flex {
    padding-top: 0;
}

.woocommerce-account.logged-in .structure-flex .woocommerce-MyAccount-navigation {
    margin-bottom: 50px;
}
.woocommerce-account .woocommerce-form-login {
    width: 100%;
    max-width: 100%;
}

/* Orders Account */

.woocommerce-page table.shop_table_responsive td, 
.woocommerce-page table.shop_table_responsive th {
    font-size: 14px;
}

.woocommerce-account table.account-orders-table td, 
.woocommerce-account table.account-orders-table td.woocommerce-orders-table__cell-order-actions, 
.woocommerce-account table.account-orders-table th {
    padding-top: 5px;
    padding-bottom: 5px;
}


.woocommerce-checkout form .form-row.woocommerce-invalid input.input-text {
    border:1px solid red !important;
}

/* ESPACE SPECIAL TABLETTES ************/

@media (min-width: 1024px) and (max-width: 1300px) {
}

}


@media (min-width: 768px) {
    .woocommerce-account.logged-in .structure-flex {
        padding-top: 30px;
    }
    .woocommerce-account .structure-flex .woocommerce-MyAccount-navigation ul {
    /*    display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;*/
       
    }
    .woocommerce-account table.account-orders-table td, .woocommerce-account table.account-orders-table td.woocommerce-orders-table__cell-order-actions, .woocommerce-account table.account-orders-table th {
        width: 100%;
    }
   
}

@media (min-width: 1024px) {
    .woocommerce-account .structure-flex .woocommerce-MyAccount-navigation ul {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
    }

    #customer_login {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
    }

    .woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1,
    .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2  {
        flex-basis: calc(50% - 25px);
        width: calc(50% - 25px);
    }


    .woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 h2,
    .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 h2 {
        margin-top: 40px;
    }
    
    

}

@media (min-width: 1366px) {
    .woocommerce-account .container {
        max-width: 70vw;
        padding-left: 30px;
        padding-right: 30px;
    }
    .woocommerce-account .woocommerce-MyAccount-content .woocommerce-Addresses .col2-set .col-1,
    .woocommerce-account .woocommerce-MyAccount-content .woocommerce-Addresses .col2-set .col-2 {
        flex-basis: 100%;
        width: 100%;
    }
}

  
@media (min-width: 1600px) {
    .woocommerce-account .container {
        max-width: 55vw;
        padding-left: 30px;
        padding-right: 30px;
    }
    .woocommerce-account .woocommerce-MyAccount-content .woocommerce-Addresses .col2-set .col-1,
    .woocommerce-account .woocommerce-MyAccount-content .woocommerce-Addresses .col2-set .col-2 {
        flex-basis: calc(50% - 25px);
        width: calc(50% - 25px);
    }
}
